SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual

# SphinxClient::setFilter

(No version information available, might be only in CVS)

SphinxClient::setFilter — Add new integer values set filter

### Description

public bool SphinxClient::setFilter ( string `$attribute` , array `$values` [, bool `$exclude` ] )

Adds new integer values set filter to the existing list of filters.

### Parameters

`attribute`

  An attribute name.

`values`

  Plain array of integer values.

`exclude`

  If set to `TRUE`, matching documents are excluded from the result set. Defaults to `FALSE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setFilterFloatRange
- SphinxClient::setFilterRange
- SphinxClient::resetFilters

SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual